[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'Linux' (#rtl)

# clock_gettime

Get the time of a clock

## Declaration

Source position: linux.pp line 451

`function clock_gettime(`
`clk_id: clockid_t;`
`tp: ptimespec`
`):cint;`

## Description

clock_gettime returns the current time of the clock specified in clk_id in the tp structure. If the clock exists and the time can be retrieved, 0 is returned.

## Errors

On Error, -1 is returned. fpgeterrno can be used to get more detailed error information.

## See also

clock_getres |  | Get clock resolution
clock_settime |  | Set the time of a clock

Documentation generated on: Feb 26 2014